# 🔮 Apollo Client Roadmap

**Last updated: Aug 2022**

For up to date release notes, refer to the project's [Change Log](https://github.com/apollographql/apollo-client/blob/main/CHANGELOG.md).

> **Please note:** This is an approximation of **larger effort** work planned for the next 6 - 12 months. It does not cover all new functionality that will be added, and nothing here is set in stone. Also note that each of these releases, and several patch releases in-between, will include bug fixes (based on issue triaging) and community submitted PR's.

## ✋ Community feedback & prioritization

- Please report feature requests or bugs as a new [issue](https://github.com/apollographql/apollo-client/issues/new/choose).
- If you already see an issue that interests you please add a 👍 or a comment so we can measure community interest.

---

## 3.7

- Release 3.7 will focus on adding support for the `@defer` directive & adding a new hook `useFragment`. See Github [3.7 Milestone](https://github.com/apollographql/apollo-client/milestone/28) for more details.

## 3.8

- Release 3.8: will focus on cache & performance improvements and adding a new hook: `useBackgroundQuery`,  See Github [3.8 Milestone](https://github.com/apollographql/apollo-client/milestone/30) for more details.

## 3.9

- Release 3.9 will focus on adding support for React 18 `Suspense`. See Github [3.9 Milestone](https://github.com/apollographql/apollo-client/milestone/32) for more details.

## 3.10

- Release 3.10 will focus on adding better support for React 18 `SSR` architecture. See Github [3.10 Milestone](https://github.com/apollographql/apollo-client/milestone/33) for more details.

## 4.0

- Release 4.0 will be our next major release of the Client and is still in `pre-planning` phases. See Github [4.0 Milestone](https://github.com/apollographql/apollo-client/milestone/31) for more details.
